(defun testdll()
 (if (= (Mtmd-Dll-Load "test.dll") 0)
  (exit)
  (princ "\nOK load test.dll") 
 )

 (setq result (Mtmd-Dll-Execute "test.dll" "fdouble" "DOUBLE" 5.0 "DOUBLE" 3.0))
 (if (= result 2) (princ "\nOK fdouble") (princ "\nFAILED fdouble"))  

 (setq result (Mtmd-Dll-Execute "test.dll" "fint" "INT" 6 "INT" 5))
 (if (= result 1) (princ "\nOK fint") (princ "\nFAILED fint"))  

 (setq result (Mtmd-Dll-Execute "test.dll" "fstring" "STRING" "test"))
 (if (= result 4) (princ "\nOK fstring") (princ "\nFAILED fstring"))

 (setq intvar1 20)
 (setq intvar2 10)
 (setq result (Mtmd-Dll-Execute "test.dll" "fvarint" "VARINT" "intvar1" "VARINT" "intvar2"))
 (if (and (= result 10)
	  (= intvar1 21)
	  (= intvar2 9)
     )  
   (princ "\nOK fvarint") (princ "\nFAILED fvarint"))

 (setq strvar "testvarstring")
 (setq result (Mtmd-Dll-Execute "test.dll" "fvarstring" "VARSTRING" "strvar"))
 (if (and (= result (strlen strvar))
	  (eq strvar "*estvarstrin*") 
     )
   (princ "\nOK fvarstring") (princ "\nFAILED fvarstring"))
  
 (if (Mtmd-Dll-Unload "test.dll")
   (princ "\nOK unload test.dll")
   (princ "\nFAILED unload test.dll")
 )
 (princ)
  
);defun  